| LUFA Library 140302 |

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_Audio_StdDescriptor_StreamEndpoint_Spc_t Struct Reference
Common Class Definitions

Audio class-specific Extended Endpoint Descriptor (USB-IF naming conventions). More...

`#include <AudioClassCommon.h>`

## Data Fields
uint8_t | bDescriptorSubtype
uint8_t | bDescriptorType
uint8_t | bLength
uint8_t | bLockDelayUnits
uint8_t | bmAttributes
uint16_t | wLockDelay

## Detailed Description

Type define for an Audio class-specific extended endpoint descriptor. This contains extra information on the usage of endpoints used to stream audio in and out of the USB Audio device, and follows an Audio class-specific extended endpoint descriptor. See the USB Audio specification for more details.

See also
  USB_Audio_Descriptor_StreamEndpoint_Spc_t for the version of this type with non-standard LUFA specific element names.

Note
  Regardless of CPU architecture, these values should be stored as little endian.

## Field Documentation

uint8_t USB_Audio_StdDescriptor_StreamEndpoint_Spc_t::bDescriptorSubtype

Sub type value used to distinguish between audio class-specific descriptors, a value from the Audio_CSEndpoint_SubTypes_t enum.

uint8_t USB_Audio_StdDescriptor_StreamEndpoint_Spc_t::bDescriptorType

Type of the descriptor, either a value in USB_DescriptorTypes_t or a value given by the specific class.

uint8_t USB_Audio_StdDescriptor_StreamEndpoint_Spc_t::bLength

Size of the descriptor, in bytes.

uint8_t USB_Audio_StdDescriptor_StreamEndpoint_Spc_t::bLockDelayUnits

Units used for the LockDelay field, see Audio class specification.

uint8_t USB_Audio_StdDescriptor_StreamEndpoint_Spc_t::bmAttributes

Audio class-specific endpoint attributes, such as AUDIO_EP_FULL_PACKETS_ONLY.

uint16_t USB_Audio_StdDescriptor_StreamEndpoint_Spc_t::wLockDelay

Time required to internally lock endpoint's internal clock recovery circuitry.

The documentation for this struct was generated from the following file:

- Drivers/USB/Class/Common/AudioClassCommon.h